Liens fonctionnent pas depuis maj wordpress (Créer un compte)

  • WordPress :5.8
  • Statut : non résolu
  • Ce sujet contient 2 réponses, 3 participants et a été mis à jour pour la dernière fois par Flobogo, le il y a 1 semaine.
3 sujets de 1 à 3 (sur un total de 3)
  • Auteur
    Messages
  • #2393036
    chouchou-A
    Participant
    Initié WordPress
    4 contributions

    Bonjour,

    Je fais appel à vous car j’ai un problème avec mon site : http://www.cavistes.org

    J’ai fais la mise à jour wordpress 5.8.2
    Et depuis, plus aucun liens (internes et externes) ne fonctionnent.

    Quand on clique sur le menu ou les liens en bas de page rien ne se passe.
    Alors que les liens sont pourtant bien toujours existants.

    Avez-vous une solution ?

    Merci d’avance !

     

    #2393049
    ferman
    Participant
    Maître WordPress
    4790 contributions

    Bonjour,

    Déjà, il faudra mettre à jour votre thème: vous avez la version 2.2.3 qui date de 2018. Le thème est certainement incompatible avec les dernières versions de wordpress. Quand vous aurez mis à jour, faites la même chose pour vos extensions (dont on ne voit pas la liste). Ensuite, quand les mises à jour auront été faites, chez OVH, passez en php7.4 . Pour passer en php7.4 depuis votre espace client c’est simple: il faudra simplement sélectionner « environnement stable 64 » dans la liste déroulante au dessus de celle où l’on sélectionne la version php pour voir apparaître le choix « 7.4 ».

    #2393066
    Flobogo
    Modérateur
    Maître WordPress
    18017 contributions

    Bonjour,

    En décembre, il vous avait déjà été conseillé de mettre à jour votre thème. Si vous ne suivez pas les recommandations, vous ne pourrez vous en plaindre qu’à vous-même.

    Et là, clairement, vous risquez le piratage, avec une version PHP aussi ancienne, ainsi que le thème … il doit en être de même pour vos extensions, dont certaines sont incluses dans le thème.

    Pour répondre à votre demande sur l’autre sujet (mais qui rejoint le changement de thème à nouveau conseillé ici) : vous avez déjà un thème-enfant, qui s’intitule FCI. Mais si il y a trop de différences entre votre thème-enfant et la nouvelle version, il est possible que certains éléments plantent, tout dépend du type de modifications apportées au thème d’origine.

    Qui vous a fourni le thème-enfant spécifique ? Visiblement, vous n’en êtes pas à l’origine.

    * * * * * * * * * * * * * * * * * * * *

    Par ailleurs, à l’avenir, pour toute demande d’aide, merci de compléter intégralement le questionnaire de configuration, ce qui nous évite de partir à la pêche aux infos. Si vous ne savez pas le remplir, vous pouvez installer cette extension: https://wordpress.org/plugins/forum-wordpress-fr/ et ensuite, récupérer les informations sur le tableau de bord de l’admin de votre site pour les copier-coller ici.
    Vous aurez juste à remplacer le terme « Apache » par le nom réel de l’hébergeur. (OVH / Ionos / O2Switch / Planethoster / … ou autre)

    Si besoin, consultez cette vidéo : https://youtu.be/XOFGpSbNCmY

3 sujets de 1 à 3 (sur un total de 3)
  • Vous devez être connecté pour répondre à ce sujet.